CVE-2015-1333

Published: 27 July 2015

Memory leak in the __key_link_end function in security/keys/keyring.c in the Linux kernel before 4.1.4 allows local users to cause a denial of service (memory consumption) via many add_key system calls that refer to existing keys.

From the Ubuntu security team

Colin King discovered a flaw in the add_key function of the Linux kernel's keyring subsystem. A local user could exploit this flaw to cause a denial of service (memory exhaustion).

Priority

Medium

Status

Package Release Status
linux
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
Patches:
Introduced by 034faeb9ef390d58239e1dce748143f6b35a0d9b
Fixed by ca4da5dd1f99fe9c59f1709fb43e818b18ad20e0
linux-armadaxp
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
This package is not directly supported by the Ubuntu Security Team
linux-aws
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-ec2
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-flo
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-fsl-imx51
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-gke
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-goldfish
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-grouper
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-hwe
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-hwe-edge
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-linaro-omap
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-linaro-shared
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-linaro-vexpress
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-lts-quantal
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
This package is not directly supported by the Ubuntu Security Team
linux-lts-raring
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-lts-saucy
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
This package is not directly supported by the Ubuntu Security Team
linux-lts-trusty
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-lts-utopic
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-lts-vivid
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-lts-wily
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-lts-xenial
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-maguro
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-mako
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-manta
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-mvl-dove
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-qcm-msm
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-raspi2
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-snapdragon
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)
linux-ti-omap4
Launchpad, Ubuntu, Debian
Upstream
Released (4.2~rc5)

Notes

AuthorNote
jdstrand
android kernels (flo, goldfish, grouper, maguro, mako and manta) are
not supported on the Ubuntu Touch 14.10 and earlier preview kernels
linux-lts-saucy no longer receives official support
linux-lts-quantal no longer receives official support

References

Bugs